1

EE is warning about a deprecated function from the NCE LDAP plugin:

$encrypted_password = $this->EE->functions->hash(stripslashes($user_info['password']));

I see the replacement below, but can't quite figure out how to rewrite this line to use the do_hash...and work. Anyone able to rewrite this? http://ellislab.com/codeigniter/user-guide/helpers/security_helper.html

3

The changelog says:

Deprecated methods:
Security helper’s do_hash(), use PHP’s hashing functions instead.
Removed Methods:
Functions::hash()

The link you provide shows that do_hash() uses SHA1 by default. So:

$encrypted_password = hash('sha1',stripslashes($user_info['password']));
1
  • Awesome, thank you!! That saved hours... – Blair May 12 '13 at 15:51

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.